/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dataPool.db.entity.DataSetEnvRel;
import net.northking.cctp.dataPool.dto.dataSets.AtuScriptInputSetQuoteFeignDto;
import net.northking.cctp.dataPool.dto.dataSets.AtuScriptInputSetQuoteFieldDto;

import java.util.List;

/**
 * 数据集环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-23 17:53:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DataSetEnvRelService extends BasicService<DataSetEnvRel>
{
    AtuScriptInputSetQuoteFieldDto selectDataUrlAndTreeName(AtuScriptInputSetQuoteFieldDto atuScriptInputSetQuoteFieldDto);

    List<AtuScriptInputSetQuoteFeignDto> getDataSetFile(List<String> list, String envId);

}
