package net.northking.cctp.executePlan.constants;

/**
 * <p>Title: DictConstant</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/12 16:27
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class DictConstant {

    /**
     * 计划触发方式 1-自动，2-手动，3-devops
     */
    public static final String PLAN_TRIGGER_TYPE = "planTriggerType";

    /**
     * 脚本用例类型 0-接口，1-PC/BS，2-PC/CS，3-安卓，4-ios，5-场景用例
     */
    public static final String SCRIPT_CASE_TYPE = "scriptCaseType";

    /**
     * 计划任务状态 0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
     */
    public static final String PLAN_TASK_STATUS = "planTaskStatus";

    /**
     * 移动平台类型 0-android，1-ios
     */
    public static final String MOBILE_PLATFORM_TYPE = "platform";
}
