/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.MqSynchronizeTask;
import net.northking.cctp.scriptcase.db.mapper.MqSynchronizeTaskMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：dw同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-24 12:13:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface MqSynchronizeTaskDao extends MqSynchronizeTaskMapper
{
    List<MqSynchronizeTask> findByTypes(@Param("types") List<Integer> types);



}
