/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuCaseDataSet;

/**
 * Mybatis数据库持久层（底层）：用例集目录表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-08-26 14:52:39  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuCaseDataSetMapper extends BasicDao<AtuCaseDataSet>
{
  String EntityName = "AtuCaseDataSet";

  String COLUMN_id = "id";
  String COLUMN_setName = "set_name";
  String COLUMN_projectId = "project_id";
  String COLUMN_scriptId = "script_id";
  String COLUMN_path = "path";
  String COLUMN_leaf = "is_leaf";
  String COLUMN_parentId = "parent_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
