/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuSceneNodeInfo;

/**
 * Mybatis数据库持久层（底层）：场景节点信息表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-01-31 17:10:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuSceneNodeInfoMapper extends BasicDao<AtuSceneNodeInfo>
{
  String EntityName = "AtuSceneNodeInfo";

  String COLUMN_id = "id";
  String COLUMN_sceneScriptId = "scene_script_id";
  String COLUMN_nodeScriptId = "node_script_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_isDeleted = "is_deleted";

}
