/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.testbug.db.entity.BugRecord;

/**
 * Mybatis数据库持久层（底层）：缺陷变更记录表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2021-11-15 18:07:56  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugRecordMapper extends BasicDao<BugRecord>
{
  String EntityName = "BugRecord";

  String COLUMN_recordId = "record_id";
  String COLUMN_bugId = "bug_id";
  String COLUMN_recordField = "record_field";
  String COLUMN_recordValue = "record_value";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_tenantId = "tenant_id";

}
