DROP TABLE IF EXISTS `bug_tendency_chart_tmp`;
CREATE TABLE `bug_tendency_chart_tmp` (
	`id` VARCHAR(50) NOT NULL ,
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	`project_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目id' ,
	`bug_status` VARCHAR(50) NULL DEFAULT NULL COMMENT '缺陷状态' ,
	`amount` INT(11) NULL DEFAULT NULL COMMENT '数量',
	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
)
COMMENT='缺陷趋势信息临时表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
ROW_FORMAT=DYNAMIC
;
--CREATE TABLE `bug_tendency_chart_tmp` (
--	`id` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`bug_status` VARCHAR(50) NULL DEFAULT NULL COMMENT '缺陷状态' COLLATE 'utf8_general_ci',
--	`amount` INT(11) NULL DEFAULT NULL COMMENT '数量',
--	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
--)
--COMMENT='缺陷趋势信息临时表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--ROW_FORMAT=DYNAMIC
--;



