DROP TABLE IF EXISTS `dw_case_design_info`;
CREATE TABLE `dw_case_design_info` (
	`id` VARCHAR(32) NOT NULL COMMENT '用例主键' ,
	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '所属项目id' ,
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' ,
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' ,
	`case_type` VARCHAR(30) NULL DEFAULT NULL COMMENT '用例类型' ,
	`case_status` VARCHAR(10) NULL DEFAULT NULL COMMENT '状态：0是暂存，1是保存' ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
)
COMMENT='用例表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
ROW_FORMAT=DYNAMIC
;

--CREATE TABLE `dw_case_design_info` (
--	`id` VARCHAR(32) NOT NULL COMMENT '用例主键' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '所属项目id' COLLATE 'utf8_general_ci',
--	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
--	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`case_type` VARCHAR(30) NULL DEFAULT NULL COMMENT '用例类型' COLLATE 'utf8_general_ci',
--	`case_status` VARCHAR(10) NULL DEFAULT NULL COMMENT '状态：0是暂存，1是保存' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
--)
--COMMENT='用例表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--ROW_FORMAT=DYNAMIC
--;

