drop table if exists clt_user_role;

CREATE TABLE `clt_user_role` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '用户角色关系ID',
  `role_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '用户ID',
  `user_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '角色ID',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT 'NK' COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户角色关系';