package net.northking.cctp.dataPool.feign;

import io.swagger.annotations.ApiOperation;
import net.northking.cctp.common.feign.FeignCctpConfig;
import net.northking.cctp.dataPool.feign.dto.AtuInputDataSetResultDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "atu-script-case", configuration = {FeignCctpConfig.class}, path = "/atu-script-case")
public interface ScriptFeignClient {

    @ApiOperation(value = "查询静态数据集存在关联")
    @PostMapping(value = "/v1/selectLinkBySetId")
    List<AtuInputDataSetResultDto> selectLinkBySetId(@RequestBody List<String> setId);

}
