/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.MdBusComponentInfo;

/**
 * Mybatis数据库持久层（底层）：业务组件表_编辑
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-10-05 16:35:52  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MdBusComponentInfoMapper extends BasicDao<MdBusComponentInfo>
{
  String EntityName = "MdBusComponentInfo";

  String COLUMN_id = "id";
  String COLUMN_comName = "com_name";
  String COLUMN_comType = "com_type";
  String COLUMN_memo = "memo";
  String COLUMN_projectId = "project_id";
  String COLUMN_scriptContent = "script_content";
  String COLUMN_isDeprecated = "is_deprecated";
  String COLUMN_complexity = "complexity";
  String COLUMN_isDeleted = "is_deleted";
  String COLUMN_comVersion = "com_version";
  String COLUMN_sharedFlag = "shared_flag";
  String COLUMN_principalId = "principal_id";
  String COLUMN_treeId = "tree_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
