# 常量类
## 异常信息类
平台中的异常父类、异常处理都在`cloud-basic`工程`cctp-commons`模块`net.northking.cctp.common.exception`包
### ReportsAppError
第一 首先在`ReportsAppError`类中定义输出信息，在定义模块下添加一行信息，`code`不需要添加，调用时会自动填上。
```$java
Software_NOT_EXIST("SaaS软件(id={0})不存在"),
``` 
第二 然后在业务逻辑中使用`PlatFormRuntimeException`使用

如果使用了占位符，那么可以后续添加参数

如样例中`id={0}`，`{0}`代表可变参数第一个参数；

`id={0} name={1}`：那么抛出异常时，`0`是可变参数的第一个参数，`1`是可变参数第二个参数

```$java
    if (softwareFunc == null)
    {
      throw new PlatformRuntimeException(SaaSAppError.Software_Func_NOT_EXIST, dto.getFuncId());
    }
```