/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.mapper.CdDeviceTenantMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备-租户关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-20 16:28:14  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdDeviceTenantDao extends CdDeviceTenantMapper
{
    Integer recycleDevice();

    List<String> queryExpiredDevice();

    List<String> findDeviceByType(@Param("tenantId")String tenantId);
  // ----      The End by Generator     ----//

}
