drop table if exists cp_project_template;

CREATE TABLE `cp_project_template` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `project_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `template_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板id',
  `template_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板名称',
  `template_type` int(4) DEFAULT NULL COMMENT '模板类型（0缺陷 1用例 ）',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='项目模板关联表';

