/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.OverallViewIndexDao;
import net.northking.cctp.testbug.db.service.OverallViewIndexService;
import net.northking.cctp.testbug.db.entity.OverallViewIndex;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 跨项目级视图索引信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 11:36:11  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "OverallViewIndexServiceImpl")
public class OverallViewIndexServiceImpl extends PaginationService<OverallViewIndex> implements OverallViewIndexService
{
private static final Logger logger = LoggerFactory.getLogger(OverallViewIndexServiceImpl.class);

  private final OverallViewIndexDao overallViewIndexDao;

  public OverallViewIndexServiceImpl(OverallViewIndexDao overallViewIndexDao) {this.overallViewIndexDao = overallViewIndexDao;}

  public BasicDao<OverallViewIndex> getDao() {return overallViewIndexDao;}

  public OverallViewIndex createEntity() { return new OverallViewIndex();}

  @Override
  protected void beforeInsert(OverallViewIndex overallViewIndex) {

  }

  @Override
  protected void beforeUpdate(OverallViewIndex overallViewIndex) {

  }







}

