DROP TABLE IF EXISTS `overall_view_index`;
CREATE TABLE `overall_view_index` (
	`id` VARCHAR(32) NOT NULL ,
	`pro_id_list` VARCHAR(3200) NOT NULL COMMENT '项目id集合' ,
	`user_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '用户id' ,
	`record_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '记录类型：0跨项目级，1项目级' ,
	PRIMARY KEY (`id`) USING BTREE
)
COMMENT='跨项目级视图索引信息表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
;
--
--CREATE TABLE `overall_view_index` (
--	`id` VARCHAR(32) NOT NULL COLLATE 'utf8_general_ci',
--	`pro_id_list` VARCHAR(3200) NOT NULL COMMENT '项目id集合' COLLATE 'utf8_general_ci',
--	`user_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '用户id' COLLATE 'utf8_general_ci',
--	`record_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '记录类型：0跨项目级，1项目级' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE
--)
--COMMENT='跨项目级视图索引信息表'
--COLLATE='utf8_bin'
--ENGINE=InnoDB
--;