package net.northking.cctp.dw.api.service;

import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.dw.db.service.UIDwAtuScriptExecutionService;
import net.northking.cctp.dw.dto.UIDwAtuScriptInfoQueryDto;
import net.northking.cctp.dw.dto.atu.DwAtuScriptExecutionDataDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UIDwAtuScriptExecutionApiServiceImpl implements UIDwAtuScriptExecutionApiService{

    @Autowired
    private UIDwAtuScriptExecutionService atuScriptExecutionService;

    @Override
    public Pagination<DwAtuScriptExecutionDataDto> pagingQuery(QueryByPage<UIDwAtuScriptInfoQueryDto> queryByPage) {
        return this.atuScriptExecutionService.pagingQuery(queryByPage);
    }
}
