/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.dao;

import net.northking.cctp.platform.db.entity.CpLogContentDetail;
import net.northking.cctp.platform.db.mapper.CpLogContentDetailMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 批量操作 日志详情表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-13 14:19:47  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpLogContentDetailDao extends CpLogContentDetailMapper
{

    int insertCpLogContentDetail(CpLogContentDetail cpLogContentDetail);

    Integer countLogContentDetail(@Param("logId") String logId, @Param("tenantId") String tenantId);

    List<String> listLogContentDetail(@Param("logId") String logId, @Param("tenantId") String tenantId);

}
